org.codehaus.plexus.compiler.csharp

## Class DefaultCSharpCompilerParser

- java.lang.Object
- - org.codehaus.plexus.compiler.csharp.DefaultCSharpCompilerParser

    public class DefaultCSharpCompilerParser
    extends Object

Handles output from both mono with only the line number

ex error = "/home/trygvis/dev/com.myrealbox/trunk/mcs/nunit20/core/./TestRunnerThread.cs(29) error CS0246: Cannot find type 'NameValueCollection'"

and errors from mono & csc on windows which has column num also

ex error = "src\\test\\csharp\\Hierarchy\\Logger.cs(98,4): warning CS0618: 'NUnit.Framework.Assertion' is obsolete: 'Use Assert class instead'";

Author:
  Gilles Dodinet, Trygve Laugstøl, Matthew Pocock, Chris Stevenson

### Constructor Summary

Constructors
Constructor and Description
`DefaultCSharpCompilerParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompilerMessage` `parseLine(String line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultCSharpCompilerParser

    public DefaultCSharpCompilerParser()

### Method Detail

#### parseLine

    public static CompilerMessage parseLine(String line)